`timescale 1ns / 1ps
//////////////////////////////////////////////////////////////////////////////////
// Company: 
// Engineer: 
// 
// Create Date:    18:41:04 09/08/2016 
// Design Name: 
// Module Name:    flags_split 
// Project Name: 
// Target Devices: 
// Tool versions: 
// Description: 
//
// Dependencies: 
//
// Revision: 
// Revision 0.01 - File Created
// Additional Comments: 
//
//////////////////////////////////////////////////////////////////////////////////
module flags_split(
    input [31:0] in_v,
    output [26:0] ts,
    output spibuf_en_n,
    output sfn_en_n,
    output nmea_en_n,
	 output synced_only_en_n,
    output wire [13:0] baud_prescale
    );


assign spibuf_en_n = !in_v[31];
assign sfn_en_n = !in_v[30];
assign baud_prescale = (in_v[29]) ? 14'd217 : 14'd1302;
assign nmea_en_n = in_v[28];
assign synced_only_en_n = !in_v[27];
assign ts = in_v[26:0];

endmodule
