`timescale 1ns / 1ps
//////////////////////////////////////////////////////////////////////////////////
// Company: 
// Engineer: 
// 
// Create Date:    23:45:59 05/10/2017 
// Design Name: 
// Module Name:    tcxo_pwm 
// Project Name: 
// Target Devices: 
// Tool versions: 
// Description: 
//
// Dependencies: 
//
// Revision: 
// Revision 0.01 - File Created
// Additional Comments: 
//
//////////////////////////////////////////////////////////////////////////////////
module tcxo_pwm(
    input [15:0] pwm_in,
    input clk,
    input rst_n,
    output pwm_out
    );

reg [15:0] cnt;
reg [15:0] pwm_in_reg;

always @(posedge clk or negedge rst_n)
 //always @(negedge aclk or negedge aresetn_in)
begin
	if (!rst_n) begin
		cnt <= 16'd0;//is reset
		pwm_in_reg <= 16'd32768;
	end else begin
		cnt <= cnt+1;//not reset
		if(cnt == 16'd0)
			pwm_in_reg <= pwm_in;
	end
end

assign pwm_out = (pwm_in_reg > cnt);  // comparator
//assign pwm_out = (pwm_in > cnt);  // comparator
//assign pwm_out = (pwm_in < cnt);  // comparator

endmodule
