`timescale 1ns / 1ps
//////////////////////////////////////////////////////////////////////////////////
// Company: 
// Engineer: 
// 
// Create Date:    11:44:15 09/08/2016 
// Design Name: 
// Module Name:    axi_switch 
// Project Name: 
// Target Devices: 
// Tool versions: 
// Description: 
//
// Dependencies: 
//
// Revision: 
// Revision 0.01 - File Created
// Additional Comments: 
//
//////////////////////////////////////////////////////////////////////////////////
module axi_switch(
	 //data switch
    input [7:0] in_s_axi_data,
    input [7:0] t_out_axi_data,
    output [7:0] out_m_axi_data,
	 
	 //valid switch
    input in_s_axi_valid,
    input t_out_axi_valid,
    output out_m_axi_tvalid,

    //ready out switch
	 input out_m_axi_tready,
	 input t_out_axi_tready,
	 output in_s_axi_tready,

	 //control
    input disable_block
    );

assign out_m_axi_data = (disable_block) ? in_s_axi_data : t_out_axi_data;
assign out_m_axi_tvalid = (disable_block) ? in_s_axi_valid : t_out_axi_valid;
assign in_s_axi_tready = (disable_block) ? out_m_axi_tready : t_out_axi_tready;
endmodule
